import { RPCClientError } from '@loafer/ng-rpc';

import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';
import { MetaSensorDisplayItem } from '@overflow/commons-typescript/model/meta';

export const metaSensorDisplayItemEntityAdapter = createEntityAdapter<MetaSensorDisplayItem, RPCClientError>();
export interface State extends EntityState<MetaSensorDisplayItem, RPCClientError> {
}
export const initialState: State = metaSensorDisplayItemEntityAdapter.getInitialState({
});

export function getSelectors(selector: Selector<any, State>) {
  return {
    ...metaSensorDisplayItemEntityAdapter.getSelectors(selector),
  };
}
